'use strict';

import Reflux from "reflux";
import Actions from "../actions/Actions";
import Ajax from "../utils/Ajax";
import Logger from "../utils/Logger";


export default class OptionsStore extends Reflux.Store {

    constructor() {
        super();
        this.state = {};
        this.listenTo(Actions.loadOptions, this.onLoadOptions);
    }

    onLoadOptions = (type) => {
        if (this.state[type] && this.state[type].length !== 0) {
            return;
        }
        Ajax.get('rest/options?type=' + type).end((data) => {
            if (data.length > 0) {
                const change = {};
                change[type] = data;
                this.setState(change);
            } else {
                Logger.warn('No data received when loading options of type ' + type + '.');
            }
        });
    };
}
